function WindActionLeft_OnLoad()
	WindCommon_setPoint(MultiBarLeftButton1, "TOPLEFT", WindActionLeft, "TOPLEFT",  10, -9);
	MultiBarLeft:SetScript("OnShow", WindActionLeft_OnShow);
	MultiBarLeft:SetScript("OnHide", WindActionLeft_OnHide);
	MultiBarLeft:SetFrameStrata("LOW");
	WindCommon_setSize(MultiBarLeft, 1, 1);
	this:RegisterEvent("VARIABLES_LOADED");
end

function WindActionLeft_OnShow()
	WindCommon_setPoint(MultiBarLeftButton1, "TOPLEFT", WindActionLeft, "TOPLEFT",  10, -9);
	WindActionLeft:Show();
end

function WindActionLeft_OnHide()
	WindActionLeft:Hide();
end

function WindActionLeft_OnEvent()
	if (event == "VARIABLES_LOADED") then
		WindActionLeft_initConfig();
		WindActionLeft_setPoint();
		WindActionLeft_setScale();
		WindActionLeft_setSize();
		WindActionLeft_setBorder();
	end
end

function WindActionLeft_initConfig()
	if (not WindActionLeftConfig) then WindActionLeftConfig = WindActionDefault["Left"]; end

	if (IsAddOnLoaded("WindConfig")) then 
		WindActionConfigLeft_show();
		WindActionConfigLeft_setColor(color); 
	end
end


function WindActionLeft_setPoint()
	WindCommon_setPoint(WindActionLeft, WindActionLeftConfig[1], UIParent, WindActionLeftConfig[1], WindActionLeftConfig[2], WindActionLeftConfig[3]);
end

function WindActionLeft_setScale()
	WindActionLeft:SetScale(WindActionLeftConfig[4]);
	MultiBarLeft:SetScale(WindActionLeftConfig[4]);
end

function WindActionLeft_setSize()
	local index = WindActionLeftConfig[5];
	WindCommon_setSize(WindActionLeft, WindActionBorderSize[index][1], WindActionBorderSize[index][2]);
	WindActionButton_setAnchor(index, "MultiBarLeftButton");
end

function WindActionLeft_setBorder()
	if (WindActionLeftConfig[6]) then 
		WindActionLeft:SetBackdrop(WindCommon_ColorBorder);
		WindActionLeft_setColor();
	else 
		WindActionLeft:SetBackdrop(nil); 
	end
end

function WindActionLeft_setColor()
	WindActionLeft:SetBackdropBorderColor(WindActionLeftConfig[7][1].r, WindActionLeftConfig[7][1].g, WindActionLeftConfig[7][1].b, WindActionLeftConfig[7][1].a);
	WindActionLeft:SetBackdropColor(WindActionLeftConfig[7][2].r, WindActionLeftConfig[7][2].g, WindActionLeftConfig[7][2].b, WindActionLeftConfig[7][2].a);
end

function WindActionLeft_resetColor()
	WindActionLeftConfig[7] = WindActionDefault["Left"][7];
	WindActionLeft_setColor();
end